### Method

# Gtk TreeListRowget_parent

#### Declaration [src]

    GtkTreeListRow*
    gtk_tree_list_row_get_parent (
      GtkTreeListRow* self
    )

#### Description [src]

Gets the row representing the parent for `self`.

That is the row that would need to be collapsed to make this row disappear.

If `self` is a row corresponding to the root model, `NULL` is returned.

The value returned by this function never changes until the row is removed from its model at which point it will forever return `NULL`.

#### Return value

Type: `GtkTreeListRow`

The parent of `self`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.